<?php
// src/OgBootBundle/Service/CurlRequestService.php

namespace App\OgBootBundle\Service;
use Exception;
use Psr\Log\LoggerInterface;

class CurlRequestService
{

    public function convertMaskToCIDR($mask)
    {
        $bits = 0;
        $mask = explode(".", $mask);

        foreach ($mask as $octect)
            $bits += strlen(str_replace("0", "", decbin($octect)));

        return $bits;
    }


// src/Service/CurlRequestService.php

public function callOgLive($parameter)
{
    // Ruta completa al script oglivecli
    $ogLiveCliPath = sprintf("%s/bin/oglivecli", dirname(dirname(dirname(__DIR__))));

    // Construir el comando sin sudo ni contraseña
    $command = sprintf('%s %s', $ogLiveCliPath, escapeshellarg($parameter));

    // Registrar el comando en syslog para depuración
    syslog(LOG_INFO, 'command ' . $command);

    // Ejecutar el comando
    $output = shell_exec($command);

    return $output;
}




}
